package CFG;

#
# Configuration file for qlogSplitter
#
# This is a valid Perl module, so Perl syntax applies.
#
# $Id: QlogSplitter.pm,v 1.3 2012/12/21 11:23:25 lenz-mobile Exp $
#


$LOGFILE     = "/var/log/asterisk/qlogSplitter.log";
$SRC         = "/var/log/asterisk/queue_log";
$QLOG        = "/var/log/asterisk/split-qlog-#.txt";

$QLOADER_BIN = "/usr/local/qloader/qloader.pl";
$QLOADER_LOG = "/var/log/asterisk/qloader-#.log";

$SYS = {
	
	'MAC' => {

		qloader => {
			host => '127.0.0.1',
			db => 'qm_mac',
			user => 'queuemetrics',
			pass => 'javadude',
			partition => 'P1'
		},
		'match_q' => qr/^(.+?)-mac$/i,
		'match_a' => qr/^(.+?)-mac$/i
	},


	'BLI' => {

		qloader => {
			host => '127.0.0.1',
			db => 'qm_bli',
			user => 'queuemetrics',
			pass => 'javadude',
			partition => 'P1'
		},
		'match_q' => qr/^(.+?)-bli$/i,
		'match_a' => qr/^(.+?)-bli$/i
	}

};

# $Log: QlogSplitter.pm,v $
# Revision 1.3  2012/12/21 11:23:25  lenz-mobile
# Default path errato
#
# Revision 1.2  2012/12/21 10:25:46  lenz-mobile
# Sensible defaults
#
# Revision 1.1  2012/12/21 10:24:35  lenz-mobile
# First public version
#
#
#

