#! /usr/bin/perl

#
# Sample regexp-shell
#
# $Id: regexp_shell.pl,v 1.1 2011/09/19 07:43:33 lenz-mobile Exp $
#

use Data::Dumper;



my $rewriteEngine = [];

#eval {
	require "./qloader_regexp.pl";
	$rewriteEngine = config();
#};


print Dumper( $rewriteEngine );

while ( <STDIN> ) { 
	chomp;
	print "" . rewrite( $_ ) . "\n";

}

exit;



#
# Effettua una sostituzione conmpleta.
# Usa \1...\9 per le backreferences
#
# Per qualche ragione non funzionano le backrefrences passando 
# una stringa con le stesse e devo fare a mano la sostituzione.
#
sub rewrite {
	my ( $source ) = @_;
	
	foreach my $entry ( @{$rewriteEngine} ) {

		#print Dumper( $entry );
		
		my $rx  = ${$entry}{'from'};
		my $rpl = ${$entry}{'replace'};
		my $final = ${$entry}{'final'} * 1;
		
		#print "RX: " . $rx . " -> " . $rpl . "\n";
		#print "F: $source\n";
		
		if ( $source =~ /$rx/i ) {
			$source =~ s/${rx}/${rpl}/i;
			my $d1 = $1;
			my $d2 = $2;
			my $d3 = $3;
			my $d4 = $4;
			my $d5 = $5;
			my $d6 = $6;
			my $d7 = $7;
			my $d8 = $8;
			my $d9 = $9;
						
			$source =~ s/\\1/${d1}/g if $d1;
			$source =~ s/\\2/${d2}/g if $d2;
			$source =~ s/\\3/${d3}/g if $d3;
			$source =~ s/\\4/${d4}/g if $d4;
			$source =~ s/\\5/${d5}/g if $d5;
			$source =~ s/\\6/${d6}/g if $d6;
			$source =~ s/\\7/${d7}/g if $d7;
			$source =~ s/\\8/${d8}/g if $d8;
			$source =~ s/\\9/${d9}/g if $d9;
									
			if ( $final == 1 ) {
				return $source;
			}
		}
	
		return $source;
	
	}	
}

# $Log: regexp_shell.pl,v $
# Revision 1.1  2011/09/19 07:43:33  lenz-mobile
# Restrizione qloaderd
#
#
